/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package keyboard;

import java.awt.Color;

/**
 *
 * @author shalev
 */
public class keyboard_form extends javax.swing.JFrame {

    /**
     * Creates new form keyboard_form
     */
    public keyboard_form() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        h_key = new javax.swing.JButton();
        a_key = new javax.swing.JButton();
        l_lkey = new javax.swing.JButton();
        s_key = new javax.swing.JButton();
        text = new javax.swing.JTextField();
        e_key = new javax.swing.JButton();
        v_key = new javax.swing.JButton();
        clear = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        h_key.setText("h");
        h_key.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                h_keyMouseClicked(evt);
            }
        });

        a_key.setText("a");
        a_key.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                a_keyMouseClicked(evt);
            }
        });

        l_lkey.setText("l");
        l_lkey.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                l_lkeyMouseClicked(evt);
            }
        });

        s_key.setText("s");
        s_key.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                s_keyMouseClicked(evt);
            }
        });

        text.setText("...");

        e_key.setText("e");
        e_key.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                e_keyMouseClicked(evt);
            }
        });

        v_key.setText("v");
        v_key.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                v_keyMouseClicked(evt);
            }
        });

        clear.setText("clear");
        clear.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                clearMouseClicked(evt);
            }
        });
        clear.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                clearActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(60, 60, 60)
                        .addComponent(s_key)
                        .addGap(18, 18, 18)
                        .addComponent(h_key)
                        .addGap(12, 12, 12)
                        .addComponent(a_key)
                        .addGap(18, 18, 18)
                        .addComponent(l_lkey)
                        .addGap(20, 20, 20)
                        .addComponent(e_key)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 21, Short.MAX_VALUE)
                        .addComponent(v_key))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(text, javax.swing.GroupLayout.PREFERRED_SIZE, 325, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(clear, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGap(19, 19, 19))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(62, Short.MAX_VALUE)
                .addComponent(text, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(clear)
                .addGap(23, 23, 23)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(h_key)
                    .addComponent(a_key)
                    .addComponent(l_lkey)
                    .addComponent(s_key)
                    .addComponent(v_key)
                    .addComponent(e_key))
                .addGap(131, 131, 131))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void clearMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_clearMouseClicked
        // TODO add your handling code here:
      //when you click on this botton you will clear your text
        text.setText("");
    }//GEN-LAST:event_clearMouseClicked

    private void s_keyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_s_keyMouseClicked
        // TODO add your handling code here:
    //by clicked mouse on this botton will be in the text s
    //and change this botton color to blue      
   //and the other bottons to null
    text.setText(text.getText().concat("s"));
        s_key.setBackground(Color.blue);
        h_key.setBackground(null);
        a_key.setBackground(null);
        l_lkey.setBackground(null);
        e_key.setBackground(null);
        v_key.setBackground(null);
    }//GEN-LAST:event_s_keyMouseClicked

    private void h_keyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_h_keyMouseClicked
        // TODO add your handling code here:
        //by clicked mouse on this botton will be in the text h
       //and change this botton color to blue   
       //and the other bottons to null
       text.setText(text.getText().concat("h"));
        h_key.setBackground(Color.blue);
           s_key.setBackground(null);        
        a_key.setBackground(null);
        l_lkey.setBackground(null);
        e_key.setBackground(null);
        v_key.setBackground(null);
    }//GEN-LAST:event_h_keyMouseClicked

    private void a_keyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_a_keyMouseClicked
        // TODO add your handling code here:
       //by clicked mouse on this botton will be in the text a
      //and change this botton color to blue   
      //and the other bottons to null
      text.setText(text.getText().concat("a"));
        a_key.setBackground(Color.blue);
           s_key.setBackground(null);
        h_key.setBackground(null);
        l_lkey.setBackground(null);
        e_key.setBackground(null);
        v_key.setBackground(null);
    }//GEN-LAST:event_a_keyMouseClicked

    private void l_lkeyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_l_lkeyMouseClicked
        // TODO add your handling code here:
       //by clicked mouse on this botton will be in the text l
       //and change this botton color to blue   
      //and the other bottons to null
       text.setText(text.getText().concat("l"));
        l_lkey.setBackground(Color.blue);
           s_key.setBackground(null);
        h_key.setBackground(null);
        a_key.setBackground(null);
        e_key.setBackground(null);
        v_key.setBackground(null);
    }//GEN-LAST:event_l_lkeyMouseClicked

    private void e_keyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_e_keyMouseClicked
        // TODO add your handling code here:
      //by clicked mouse on this botton will be in the text e
      //and change this botton color to blue    
     //and the other bottons to null
      text.setText(text.getText().concat("e"));
        e_key.setBackground(Color.blue);
           s_key.setBackground(null);
        h_key.setBackground(null);
        a_key.setBackground(null);
        l_lkey.setBackground(null);
        v_key.setBackground(null);
    }//GEN-LAST:event_e_keyMouseClicked

    private void v_keyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_v_keyMouseClicked
        // TODO add your handling code here:
//by clicked mouse on this botton will be in the text v
//and change this botton color to blue 
//and the other bottons to null
text.setText(text.getText().concat("v"));
        v_key.setBackground(Color.blue);
           s_key.setBackground(null);
        h_key.setBackground(null);
        a_key.setBackground(null);
        l_lkey.setBackground(null);
        e_key.setBackground(null);
      
    }//GEN-LAST:event_v_keyMouseClicked

    private void clearActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_clearActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_clearActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(keyboard_form.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(keyboard_form.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(keyboard_form.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(keyboard_form.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new keyboard_form().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton a_key;
    private javax.swing.JButton clear;
    private javax.swing.JButton e_key;
    private javax.swing.JButton h_key;
    private javax.swing.JButton l_lkey;
    private javax.swing.JButton s_key;
    private javax.swing.JTextField text;
    private javax.swing.JButton v_key;
    // End of variables declaration//GEN-END:variables
}
